package ink.wgink.pojo.bos.menu;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: InitMenuBO
 * @Description: 初始化菜单
 * @Author: wanggeng
 * @Date: 2022/7/28 23:03
 * @Version: 1.0
 */
public class InitMenuBO {

    private String menuCode;
    private String menuName;
    private String menuSummary;
    private String menuUrl;
    private Integer menuType;
    private String menuIcon;
    private List<InitMenuBO> subMenus;

    public String getMenuCode() {
        return menuCode == null ? "" : menuCode.trim();
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public String getMenuName() {
        return menuName == null ? "" : menuName.trim();
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuSummary() {
        return menuSummary == null ? "" : menuSummary.trim();
    }

    public void setMenuSummary(String menuSummary) {
        this.menuSummary = menuSummary;
    }

    public String getMenuUrl() {
        return menuUrl == null ? "javascript:void(0);" : menuUrl.trim();
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public Integer getMenuType() {
        return menuType == null ? 1 : menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public String getMenuIcon() {
        return menuIcon == null ? "fa-icon-color-white fa fa-list" : menuIcon.trim();
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }

    public List<InitMenuBO> getSubMenus() {
        return subMenus == null ? new ArrayList() : subMenus;
    }

    public void setSubMenus(List<InitMenuBO> subMenus) {
        this.subMenus = subMenus;
    }
}
